Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 67ce2a201a67ec4ed0aa0b79cf7b5e8b529efa24)
+++ chapter01/changelog.xml	(revision ba91030766c43f56bb2ec852ccf91f1ced08c6f2)
@@ -44,4 +44,26 @@
 -->
     <listitem>
+      <para>2017-07-18</para>
+      <itemizedlist>
+        <listitem>
+          <para>[dj] - Update to linux-4.12.2. Fixes
+          <ulink url="&lfs-ticket-root;4113">#4113</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[dj] - Update to expat-2.2.2. Fixes
+          <ulink url="&lfs-ticket-root;4112">#4112</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[dj] - Update to systemd-234. Fixes
+          <ulink url="&lfs-ticket-root;4111">#4111</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[dj] - Postpone systemd test suite until BLFS. Fixes
+          <ulink url="&lfs-ticket-root;4107">#4107</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2017-07-13</para>
       <itemizedlist>
Index: chapter06/systemd.xml
===================================================================
--- chapter06/systemd.xml	(revision 67ce2a201a67ec4ed0aa0b79cf7b5e8b529efa24)
+++ chapter06/systemd.xml	(revision ba91030766c43f56bb2ec852ccf91f1ced08c6f2)
@@ -41,28 +41,9 @@
     <title>Installation of systemd</title>
 
-    <para>First, fix a build error when using Util-Linux built in
-    Chapter 5:</para>
-
-<screen><userinput remap="pre">sed -i "s:blkid/::" $(grep -rl "blkid/blkid.h")</userinput></screen>
-
-<!-- Not needed as of 231. -renodr
-    <para>Fix a potential security issue with framebuffer devices:</para>
-
-<screen><userinput remap="pre">sed -e 's@DRI and frame buffer@DRI@'                  \
-    -e '/SUBSYSTEM==\"graphics\", KERNEL==\"fb\*\"/d' \
-    -i  src/login/70-uaccess.rules</userinput></screen>
--->
-
-    <para>Disable two tests that always fail:</para>
+    <para>First, disable two tests that always fail:</para>
 
 <screen><userinput remap="pre">sed -e 's@test/udev-test.pl @@'  \
     -e 's@test-copy$(EXEEXT) @@' \
     -i Makefile.in</userinput></screen>
-
-<!-- Not needed as of 232... anyone notice a pattern here? -renodr
-    <para>Apply a patch to fix a security issue:</para>
-
-<screen><userinput remap="pre">patch -Np1 -i ../systemd-231-security_fix-1.patch</userinput></screen>
--->
 
     <para>Create a file to allow systemd to build when using Util-Linux
@@ -192,5 +173,5 @@
 
     <para>This package has a test suite, but it can only be run after the
-    package has been installed.</para>
+    package has been reinstalled in BLFS.</para>
 
     <para>Install the package:</para>
Index: general.ent
===================================================================
--- general.ent	(revision 67ce2a201a67ec4ed0aa0b79cf7b5e8b529efa24)
+++ general.ent	(revision ba91030766c43f56bb2ec852ccf91f1ced08c6f2)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20170713">
+<!ENTITY version         "SVN-20170718">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20170713-systemd">
+<!ENTITY versiond        "20170718-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "July 13, 2017">
+<!ENTITY releasedate     "July 18, 2017">
 
 <!ENTITY copyrightdate   "1999-2017"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision 67ce2a201a67ec4ed0aa0b79cf7b5e8b529efa24)
+++ packages.ent	(revision ba91030766c43f56bb2ec852ccf91f1ced08c6f2)
@@ -153,8 +153,8 @@
 <!ENTITY eudev-ch6-sbu "0.2 SBU">
 
-<!ENTITY expat-version "2.2.1">
-<!ENTITY expat-size "396 KB">
+<!ENTITY expat-version "2.2.2">
+<!ENTITY expat-size "404 KB">
 <!ENTITY expat-url "&sourceforge;expat/expat-&expat-version;.tar.bz2">
-<!ENTITY expat-md5 "d9c3baeab58774cefc2f04faf29f2cf8">
+<!ENTITY expat-md5 "1ede9a41223c78528b8c5d23e69a2667">
 <!ENTITY expat-home "http://expat.sourceforge.net/">
 <!ENTITY expat-ch6-du "6.1 MB">
@@ -402,10 +402,10 @@
 <!ENTITY linux-major-version "4">
 <!ENTITY linux-minor-version "12">
-<!ENTITY linux-patch-version "1">
+<!ENTITY linux-patch-version "2">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "96,876 KB">
+<!ENTITY linux-size "96,872 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "56d9b0c0b35aac08c01da2db5046ef2f">
+<!ENTITY linux-md5 "a61922df59b3ff54fcf418d2b8a0ab70">
 <!ENTITY linux-home "http://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
@@ -560,8 +560,8 @@
 <!ENTITY sysklogd-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY systemd-version "233">
-<!ENTITY systemd-size    "3,948 KB">
+<!ENTITY systemd-version "234">
+<!ENTITY systemd-size    "4,072 KB">
 <!ENTITY systemd-url     "http://anduin.linuxfromscratch.org/sources/other/systemd/systemd-&systemd-version;.tar.xz">
-<!ENTITY systemd-md5     "8d95734fdfcd13855746f143de1e3c86">
+<!ENTITY systemd-md5     "157b51f03bf367c15d870111ef9255a1">
 <!ENTITY systemd-home    "http://www.freedesktop.org/wiki/Software/systemd/">
 <!ENTITY systemd-ch6-du  "507 MB">
